Package org.bukkit.plugin.messaging

# Class PluginMessageListenerRegistration

java.lang.Object
org.bukkit.plugin.messaging.PluginMessageListenerRegistration

public final class PluginMessageListenerRegistration extends Object
Contains information about a `Plugin`s registration to a plugin channel.

## Constructor Summary

Constructors
Constructor
Description
`PluginMessageListenerRegistration(@NotNull Messenger messenger, @NotNull Plugin plugin, @NotNull String channel, @NotNull PluginMessageListener listener)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`@NotNull String`
`getChannel()`
Gets the plugin channel that this registration is about.
`@NotNull PluginMessageListener`
`getListener()`
Gets the registered listener described by this registration.
`@NotNull Plugin`
`getPlugin()`
Gets the plugin that this registration is for.
`int`
`hashCode()`
`boolean`
`isValid()`
Checks if this registration is still valid.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PluginMessageListenerRegistration

public PluginMessageListenerRegistration(@NotNull @NotNull Messenger messenger, @NotNull @NotNull Plugin plugin, @NotNull @NotNull String channel, @NotNull @NotNull PluginMessageListener listener)

## Method Details

### getChannel

@NotNull public @NotNull String getChannel()
Gets the plugin channel that this registration is about.

Returns:
  Plugin channel.

### getListener

@NotNull public @NotNull PluginMessageListener getListener()
Gets the registered listener described by this registration.

Returns:
  Registered listener.

### getPlugin

@NotNull public @NotNull Plugin getPlugin()
Gets the plugin that this registration is for.

Returns:
  Registered plugin.

### isValid

public boolean isValid()
Checks if this registration is still valid.

Returns:
  True if this registration is still valid, otherwise false.

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`